# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

Name:           cabal-dev
Version:        0.7.4.1
Release:        1%{?dist}
Summary:        Haskell package sandboxing development tool

Group:          Development/Tools
License:        BSD
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros >= 0.7.0

%description
cabal-dev is a tool for managing development builds of Haskell projects.
It supports maintaining sandboxed cabal-install repositories,
and sandboxed ghc package databases.

By default, it uses a cabal-dev directory under the current working directory
as the sandbox.

For most packages, just use cabal-dev instead of cabal, and you will get
a sandboxed build that will not install anything (even automatically installed
dependencies) into the user or global ghc package databases.

If your build depends on patched or unreleased libraries, you can add them to
your sandboxed build environment.


%prep
%setup -q


%build
%ghc_bin_build


%install
%ghc_bin_install

%{__rm} %buildroot%{_bindir}/ghc-pkg-6_8-compat


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}-%{version}


%changelog
* Thu Mar 17 2011 Jens Petersen <petersen@redhat.com> - 0.7.4.1-1
- license is BSD
- remove ghc-pkg-6_8-compat

* Thu Mar 17 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.7.4.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.5
